﻿// Copyright (c) 2015, Coveo Solutions Inc.

using System;
using Sitecore.ContentSearch;
using Sitecore.ContentSearch.Pipelines.IndexingFilters;

namespace Coveo.Demos.Pipelines
{
    public class ExcludeStandardValuesItemsProcessor : InboundIndexFilterProcessor
    {
        public override void Process(InboundIndexFilterArgs args)
        {
            // Here, we simply check whether the item being currently processed is a 'Standard Values' item. If so, we prevent it
            // from being indexed in the current search index.
            SitecoreIndexableItem item = args.IndexableToIndex as SitecoreIndexableItem;
            if (String.Equals(item.Item.Name, "__Standard Values", StringComparison.InvariantCultureIgnoreCase)) {
                args.IsExcluded = true;
            }
        }
    }
}
